CREATE TABLE POSLOVNI_PROSTOR(
ID_PROSTOR NUMBER NOT NULL,
LOKACIJA VARCHAR2(100 CHAR) NOT NULL,
DAVCNA_ST VARCHAR2(30 CHAR),
ULICA VARCHAR2(100 CHAR),
HISNA_ST VARCHAR2(10 CHAR),
HISNA_ST_DOD VARCHAR2(10 CHAR),
POSTA VARCHAR2(20 CHAR),
KRAJ VARCHAR2(100 CHAR),
OBCINA VARCHAR2(100 CHAR),
DELOVNI_CAS VARCHAR2(100 CHAR),
DATUM_PRICETKA DATE,
DODATNO VARCHAR2(100 CHAR),
OZNAKA_ZAPIRANJA VARCHAR2(1 CHAR),
CONSTRAINT PK_POSLOVNI_PROSTOR PRIMARY KEY (ID_PROSTOR));

CREATE SEQUENCE POSLOVNI_PROSTOR_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE;

INSERT INTO MARINA_SEQUENCES (TABLENAME, FIELDNAME, SEQUENCE_NAME, COUNTER_TYPE, CHECKED)
VALUES ('VERZIJE_BAZA_UPG', 'ID_UPG', 'VERZIJE_BAZA_UPG_SEQ', 'S_KLJUCI', 'N');

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(349, SYSDATE, '5.5', 269, 'Poslovni prostor');