CREATE TABLE NNCONTACT_GROUP (
	SIFRA VARCHAR2(3 CHAR) NOT NULL,
	OPIS VARCHAR2(100 CHAR),
	INTERNI_OPIS VARCHAR2(100 CHAR),
	AKT VARCHAR2 (1 CHAR),
	CONSTRAINT NNCONTACT_GROUP_PK PRIMARY KEY (SIFRA)
);

INSERT INTO NNCONTACT_GROUP(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('CUS', 'Contact us', 'Contact us', 'Y');

CREATE TABLE CONTACT (
	ID_CONTACT NUMBER NOT NULL,
	NAME VARCHAR2(200 CHAR),
	DATE_CREATED DATE,
	USER_CREATED VARCHAR2(30 CHAR),
	DATE_CHANGED DATE,
	USER_CHANGED VARCHAR2(30 CHAR),
	ACT VARCHAR2(1 CHAR),
	CONSTRAINT CO_CONTACT_PK PRIMARY KEY (ID_CONTACT)
);

CREATE SEQUENCE CONTACT_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE CONTACT_EMAIL (
	ID_CONTACT_EMAIL NUMBER NOT NULL,
	ID_CONTACT NUMBER NOT NULL,
	EMAIL VARCHAR2(500 CHAR),
	DATE_CREATED DATE,
	USER_CREATED VARCHAR2(30 CHAR),
	DATE_CHANGED DATE,
	USER_CHANGED VARCHAR2(30 CHAR),
	ACT VARCHAR2(1 CHAR),
	CONSTRAINT CE_CONTACT_FK FOREIGN KEY (ID_CONTACT) REFERENCES CONTACT(ID_CONTACT),
	CONSTRAINT CE_CONTACT_EMAIL_PK PRIMARY KEY (ID_CONTACT_EMAIL)
);

CREATE SEQUENCE CONTACT_EMAIL_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE CONTACT_GROUP (
	ID_CONTACT_GROUP NUMBER NOT NULL,
	ID_CONTACT NUMBER NOT NULL,
	NNCONTACT_GROUP VARCHAR2(3 CHAR) NOT NULL,
	CONSTRAINT CG_ID_CONTACT_GROUP_PK PRIMARY KEY (ID_CONTACT_GROUP)
);

CREATE SEQUENCE CONTACT_GROUP_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;


CREATE OR REPLACE VIEW V_CONTACT AS
SELECT CO.ID_CONTACT, CO.NAME, CO.DATE_CHANGED, CO.USER_CHANGED, CO.DATE_CREATED, CO.USER_CREATED, CO.ACT
FROM CONTACT CO;

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(522, SYSDATE, '5.5', 442, 'Kontakti');