CREATE TABLE NNAPLICATION (
	SIFRA VARCHAR2(3 CHAR) NOT NULL,
	OPIS VARCHAR2(100 CHAR),
	INTERNI_OPIS VARCHAR2(100 CHAR),
	AKT VARCHAR2 (1 CHAR),
	CONSTRAINT NNAPLICATION_PK PRIMARY KEY (SIFRA)
);

INSERT INTO NNAPLICATION(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('MWE', 'Marina Master Web', 'Marina Master Web', 'Y');

INSERT INTO NNAPLICATION(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('MPO', 'Marina Master Portal', 'Marina Master Portal', 'Y');

INSERT INTO NNAPLICATION(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('MWM', 'Marina Master Web Mobile', 'Marina Master Web Mobile', 'Y');

INSERT INTO NNAPLICATION(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('MPM', 'Marina Master Portal Mobile', 'Marina Master Portal Mobile', 'Y');

CREATE TABLE FORM_FIELD_PROPERTY (
	ID_FORM_FIELD_PROPERTY NUMBER NOT NULL,
	APPLICATION_ID VARCHAR2(3 CHAR) NOT NULL,
	VIEW_ID VARCHAR2(100 CHAR) NOT NULL,
	TABLE_NAME VARCHAR2(100 CHAR) NOT NULL,
	COLUMN_NAME VARCHAR2(100 CHAR) NOT NULL,
	CAPTION_KEY VARCHAR2(100 CHAR),
	POSITION NUMBER,
	WIDTH NUMBER,
	HEIGHT NUMBER,
	VISIBLE VARCHAR2(1 CHAR),
	ENABLED VARCHAR2(1 CHAR),
	REQUIRED VARCHAR2(1 CHAR),
	DATE_CREATED DATE,
	USER_CREATED VARCHAR2(30 CHAR),
	DATE_CHANGED DATE,
	USER_CHANGED VARCHAR2(30 CHAR),
	ACT VARCHAR2(1 CHAR),
	
	CONSTRAINT FORM_FIELD_PROPERTY_APP_FK FOREIGN KEY (APPLICATION_ID) REFERENCES NNAPLICATION(SIFRA),
	CONSTRAINT FORM_FIELD_PROPERTY_PK PRIMARY KEY (ID_FORM_FIELD_PROPERTY)
);

CREATE SEQUENCE FORM_FIELD_PROPERTY_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (606, SYSDATE, '5.5', 526, 'Form field property');