CREATE TABLE TMP_DELAVCI
(
  ID_STORITVE  NUMBER                           NOT NULL,
  SIFRA        VARCHAR2(10 BYTE)                NOT NULL,
  DATUM        DATE,
  STEVILO_UR   NUMBER,
  KOMENTAR     VARCHAR2(255 BYTE)
);

ALTER TABLE TMP_DELAVCI ADD (
  PRIMARY KEY
 (ID_STORITVE, SIFRA));

INSERT INTO TMP_DELAVCI (ID_STORITVE, SIFRA, DATUM, STEVILO_UR, KOMENTAR) 
SELECT ID_STORITVE, SIFRA, DATUM, STEVILO_UR, KOMENTAR FROM DELAVCI;

CREATE SEQUENCE DELAVCI_SEQ 
START WITH 1 INCREMENT BY 1 MINVALUE 1 CACHE 20 NOCYCLE  NOORDER ;

DROP TABLE DELAVCI;

CREATE TABLE DELAVCI
(
  ID_DELAVCI   NUMBER                           NOT NULL,
  ID_STORITVE  NUMBER                           NOT NULL,
  SIFRA        VARCHAR2(10 BYTE)                NOT NULL,
  DATUM        DATE,
  STEVILO_UR   NUMBER,
  KOMENTAR     VARCHAR2(255 BYTE),
  CONSTRAINT PK_DELAVCI PRIMARY KEY (ID_DELAVCI)
);

INSERT INTO DELAVCI (ID_DELAVCI, ID_STORITVE, SIFRA, DATUM, STEVILO_UR, KOMENTAR) 
SELECT DELAVCI_SEQ.NEXTVAL, ID_STORITVE, SIFRA, DATUM, STEVILO_UR, KOMENTAR FROM TMP_DELAVCI;

DROP TABLE TMP_DELAVCI;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (187, SYSDATE, '5.5', 107, 'DELAVCI');