CREATE TABLE M_DOK_DENA_DET (
ID_DOK_DN_DET NUMBER NOT NULL,
ID_DOK_DENA NUMBER NOT NULL,
ID_DN NUMBER,
ID_STORITVE NUMBER,
CONSTRAINT PK_M_DOK_DENA_DET PRIMARY KEY (ID_DOK_DN_DET)
);

CREATE SEQUENCE M_DOK_DENA_DET_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE
;

CREATE TABLE RFID_DATA 
   (	ID_RFID_DATA NUMBER NOT NULL ENABLE, 
	TAGID VARCHAR2(100 CHAR) NOT NULL ENABLE, 
	DATE_OF_EVENT DATE NOT NULL ENABLE, 
	DIRECTION VARCHAR2(30 CHAR), 
	PROCESSED VARCHAR2(1 CHAR), 
	DATA_STATUS VARCHAR2(2 CHAR), 
	DATA_WARNING VARCHAR2(1 CHAR), 
	USER_WARNING VARCHAR2(20 CHAR), 
	USER_CREATE VARCHAR2(20 CHAR), 
	MESSAGE VARCHAR2(200 CHAR), 
	ALARM_STATUS VARCHAR2(20 CHAR), 
	SIGNAL NUMBER, 
	 CONSTRAINT PK_RFID_DATA PRIMARY KEY (ID_RFID_DATA))
;

CREATE SEQUENCE RFID_DATA_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE
;

CREATE TABLE RFID_DIRECTION 
   (	ORG_TEXT VARCHAR2(30 CHAR) NOT NULL ENABLE, 
	MARINA_TEXT VARCHAR2(30 CHAR) NOT NULL ENABLE, 
	 CONSTRAINT PK_RFID_DIRECTION PRIMARY KEY (ORG_TEXT))
;

INSERT INTO RFID_DIRECTION (ORG_TEXT, MARINA_TEXT) VALUES ('IN','IN');
INSERT INTO RFID_DIRECTION (ORG_TEXT, MARINA_TEXT) VALUES ('OUT','OUT');

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (810, SYSDATE, '5.5', 730, 'mDokDenaDet');